Bug 438715 (CVE-2008-1234) - CVE-2008-1234 universal XSS using event handlers
Summary: CVE-2008-1234 universal XSS using event handlers
Status: CLOSED CURRENTRELEASE
Alias: CVE-2008-1234
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,source=mozilla,report...
Keywords: Security
Depends On: 438396 438397 438398 438401 438402 438403 438404 438938 438939 442855 442856 442857
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-24 18:05 UTC by Josh Bressers
Modified: 2016-03-04 10:59 UTC (History)
1 user (show)

Fixed In Version: 2.0.0.14-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-10 13:53:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0207 normal SHIPPED_LIVE Critical: firefox security update 2008-03-27 01:08:19 UTC
Red Hat Product Errata RHSA-2008:0208 normal SHIPPED_LIVE Critical: seamonkey security update 2008-03-27 23:17:00 UTC
Red Hat Product Errata RHSA-2008:0209 normal SHIPPED_LIVE Moderate: thunderbird security update 2008-04-03 14:55:43 UTC

Description Josh Bressers 2008-03-24 18:05:04 UTC
Mozilla contributor moz_bug_r_a4 demonstrated that improper event handler usage
could be used to trigger a universal XSS attack.

Comment 1 Josh Bressers 2008-03-24 18:05:38 UTC
This is going to be part of mfsa2008-14

Comment 3 Josh Bressers 2008-03-26 02:03:52 UTC
This is now public:
http://www.mozilla.org/security/announce/2008/mfsa2008-14.html

Comment 4 Fedora Update System 2008-03-26 02:15:02 UTC
blam-1.8.3-14.fc8,chmsee-1.0.0-1.30.fc8,devhelp-0.16.1-6.fc8,epiphany-2.20.3-2.fc8,epiphany-extensions-2.20.1-6.fc8,firefox-2.0.0.13-1.fc8,galeon-2.0.4-1.fc8.3,gnome-python2-extras-2.19.1-13.fc8,gnome-web-photo-0.3-9.fc8,gtkmozembedmm-1.4.2.cvs20060817-19.fc8,kazehakase-0.5.3-5.fc8,liferea-1.4.13-2.fc8,Miro-1.1.2-2.fc8,openvrml-0.17.5-4.fc8,ruby-gnome2-0.16.0-21.fc8,yelp-2.20.0-8.fc8 has been submitted as an update for Fedora 8

Comment 5 Fedora Update System 2008-03-26 17:09:49 UTC
chmsee-1.0.0-1.30.fc7, devhelp-0.13-15.fc7, epiphany-2.18.3-8.fc7, epiphany-extensions-2.18.3-8, firefox-2.0.0.13-1.fc7, galeon-2.0.3-16.fc7, gnome-python2-extras-2.14.3-9.fc7, gtkmozembedmm-1.4.2.cvs20060817-16.fc7, kazehakase-0.5.3-5.fc7, liferea-1.4.13-2.fc7, Miro-1.1.2-2.fc7, openvrml-0.16.7-4.fc7, ruby-gnome2-0.16.0-22.fc7, yelp-2.18.1-10.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2008-03-26 17:12:21 UTC
gnome-python2-extras-2.19.1-13.fc8, ruby-gnome2-0.16.0-21.fc8, epiphany-2.20.3-2.fc8, gtkmozembedmm-1.4.2.cvs20060817-19.fc8, epiphany-extensions-2.20.1-6.fc8, liferea-1.4.13-2.fc8, Miro-1.1.2-2.fc8, yelp-2.20.0-8.fc8, devhelp-0.16.1-6.fc8, galeon-2.0.4-1.fc8.3, gnome-web-photo-0.3-9.fc8, chmsee-1.0.0-1.30.fc8, kazehakase-0.5.3-5.fc8, openvrml-0.17.5-4.fc8, blam-1.8.3-14.fc8, firefox-2.0.0.13-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2008-05-10 13:52:58 UTC
thunderbird-2.0.0.14-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2008-05-10 13:54:39 UTC
thunderbird-2.0.0.14-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.